Subject: bug#24293: 25.1; Display bug: icomplete prompt not visible with icomplete-separator "\n"

From: Michael Heerdegen <[email-masked]>
Date: Tue, 23 Aug 2016 21:06:11 +0200

Eli Zaretskii <[email-masked]> writes:

> What happens next is that the after-string causes the display to start
> at the beginning of the string, because Emacs cannot start the
> window's display in the middle of an overlay string.  So what is
> actually shown is not the end, but the middle of the overlay string.

Ok, it's probably not worth trying to change the display engine for
this.

Maybe we can fix it in icomplete instead.  AFAIK icomplete tries to
limit the number of shown candidates according to some settings like
maximum number of lines to display, but doesn't handle the case of a
separator including a newline character correctly.

Is it possible to determine reliably the number of lines a minibuffer
window can display maximally for given max-mini-window-height?

Michael.